from django.contrib import admin
from coin.offers.models import Offer, Service, OfferSubscription
import autocomplete_light

class OfferAdmin(admin.ModelAdmin):
    list_display = ('service', 'name', 'billing_period', 'period_fees',
                    'initial_fees')
    list_display_links = ('name',)

class OfferSubscriptionAdmin(admin.ModelAdmin):
    list_display = ('member', 'offer', 'subscription_date', 'commitment',
                    'resign_date')
    list_display_links = ('member','offer')
    fields = (
                'member',
                'offer',
                'subscription_date',
                'commitment',
                'resign_date'
             )
    form = autocomplete_light.modelform_factory(OfferSubscription)

admin.site.register(Service)
admin.site.register(Offer, OfferAdmin)
admin.site.register(OfferSubscription, OfferSubscriptionAdmin)
